Проблема при установки шаблона

  • 19 Ответов
  • 647 Просмотров

0 Пользователей и 1 Гость просматривают эту тему.

*

Оффлайн Kromoll

Приветствую форумчане!
без вас не обойдусь, нужна помощь!

успешно установил шаблон, но при его загрузки идет ругань
Fatal error: Call to a member function Header() on a non-object in X:\home\imperiakartin.ru\www\templates\jm_creatrix\index.php on line 23

до этого устанавливал нормально
что делать ?

*

Оффлайн 04r12

  • ***
  • 168
  • [+]9 / [-]0
  • Позитив есть! Чего и вам желаю=)
    • Просмотр профиля
Re: Проблема при установки шаблона
« Ответ #1 : 01.04.2015, 07:23:48 »
Fatal error: Call to a member function Header() on a non-object in X:\home\imperiakartin.ru\www\templates\jm_creatrix\index.php on line 23
При этой ругани сам сайт прогружается? Или появляется только эта надпись? В ней собственно и есть ответ, в 23 строке указанного файла при сборке страницы возникают проблемы, стоит проверить синтаксис
Есть цель? Иди к ней! Не можешь идти? Ползи к ней! Не можешь ползти? ляг и лежи в направлении цели!=)

*

Оффлайн Kromoll

Re: Проблема при установки шаблона
« Ответ #2 : 01.04.2015, 13:48:30 »
При этой ругани сам сайт прогружается? Или появляется только эта надпись? В ней собственно и есть ответ, в 23 строке указанного файла при сборке страницы возникают проблемы, стоит проверить синтаксис

только надпись.

*

Оффлайн Kromoll

Re: Проблема при установки шаблона
« Ответ #3 : 02.04.2015, 05:18:55 »
вот файлик index.php
Покажите пожалуйста, что здесь не так ?


<?php
/**
 * @package Helix Framework
 * Template Name - Shaper Helix
 * Template Version 1.0.3
 * @author JoomShaper http://www.joomshaper.com
 * @copyright Copyright (c) 2010 - 2013 JoomShaper
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
*/
//no direct accees
defined ('_JEXEC') or die ('resticted aceess');   
require_once(dirname(__FILE__).'/lib/lib.php');
?>
<!DOCTYPE html>
<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7"  lang="<?php echo $this->language; ?>"> <![endif]-->
<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8"  lang="<?php echo $this->language; ?>"> <![endif]-->
<!--[if IE 8]>         <html class="no-js lt-ie9"  lang="<?php echo $this->language; ?>"> <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="<?php echo $this->language; ?>"> <!--<![endif]-->
    <head>
        <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
        <jdoc:include type="head" />
        <?php
            $this->helix->Header()
         ->addCSS('animate.css')
         ->addJS('helix.core.js,easing.js,init.js,tools.js, retina.js,smoothscroll.js')
            ->setLessVariables(array(
                    'preset'=>$this->helix->Preset(),
                    'main_color'=> $this->helix->PresetParam('_color'),
                    'main_lightercolor'=> $this->helix->PresetParam('_lightercolor'),
                    'header_bgcolor'=> $this->helix->PresetParam('_headerbg'),
                    'header_linkcolor'=> $this->helix->PresetParam('_headerlink'),
                    'bg_color'=> $this->helix->PresetParam('_bg'),
                    'text_color'=> $this->helix->PresetParam('_text'),
                    'link_color'=> $this->helix->PresetParam('_link'),
               'bottom_color'=> $this->helix->PresetParam('_bottom'),
               'footer_color'=> $this->helix->PresetParam('_footer')
                ))
            ->addLess('master', 'template')
            ->addLess('mod_jmnewspro_hikashop', 'mod_jmnewspro_hikashop')
            ->addLess( 'presets',  'presets/'.$this->helix->Preset() );
        ?>
       
    </head>
    <body <?php echo $this->helix->bodyClass('bg hfeed clearfix '.Exp::addBodyClass()); ?> data-header-resize="<?php echo $this->helix->Param('headerResize'); ?>"  data-small-header="<?php echo $this->helix->Param('smallHeader'); ?>" data-big-header="<?php echo $this->helix->Param('bigHeader'); ?>">
      <div class="body-innerwrapper">
        <!--[if lt IE 8]>
        <div class="chromeframe alert alert-danger" style="text-align:center">You are using an <strong>outdated</strong> browser. Please <a target="_blank" href="http://browsehappy.com/">upgrade your browser</a> or <a target="_blank" href="http://www.google.com/chromeframe/?redirect=true">activate Google Chrome Frame</a> to improve your experience.</div>
        <![endif]-->
        <?php
            $this->helix->layout();
            $this->helix->Footer();
        ?>
        <jdoc:include type="modules" name="debug" />
      </div>
    </body>
</html>

*

Оффлайн AlekVolsk

Re: Проблема при установки шаблона
« Ответ #4 : 02.04.2015, 09:27:14 »
1) плагин helix не функционирует, разбирайтесь с ним
2) версия php какя? точная версия J какая?

*

Оффлайн Kromoll

Re: Проблема при установки шаблона
« Ответ #5 : 02.04.2015, 09:58:00 »
1) плагин helix не функционирует, разбирайтесь с ним
2) версия php какя? точная версия J какая?

phpMyAdmin - 3.5.1
версия J  - version: 2.2

*

Оффлайн AlekVolsk

Re: Проблема при установки шаблона
« Ответ #6 : 02.04.2015, 10:32:37 »
не phpMyAdmin а php - это разные вещи. первое - это утилита работы с базой данных, второе - язык программирования и среда его компиляции/выполнения

*

Оффлайн AlekVolsk

Re: Проблема при установки шаблона
« Ответ #7 : 02.04.2015, 10:34:00 »
Если версия J такая старая, то php должно быть версии не выше 5.2, и J желательно обновить до последнего релиза второй ветки (это 2.5.28).
Судя по всему, отказывается работать плагин helix, т.к. его не удовлетворяет ни версия J ни версия php.

*

Оффлайн Kromoll

Re: Проблема при установки шаблона
« Ответ #8 : 02.04.2015, 12:56:16 »
Если версия J такая старая, то php должно быть версии не выше 5.2, и J желательно обновить до последнего релиза второй ветки (это 2.5.28).
Судя по всему, отказывается работать плагин helix, т.к. его не удовлетворяет ни версия J ни версия php.

J обновил до 2.5.28
по PHP нашел вот такую запись Apache/2.2.22 (Win32) mod_ssl/2.2.22 OpenSSL/1.0.1c PHP/5.3.13

результат прежний....
sos. sos

разработчик буржуйский на тикиты переводит, там вообще не понятно как описать проблему, на вас одна надежда

*

Оффлайн AlekVolsk

Re: Проблема при установки шаблона
« Ответ #9 : 02.04.2015, 13:00:25 »
В общих настройках на вкладке "система" включите отладку системы и смотрите, что во фронте выводится. И да: php5.3.13 (именно этот релиз) весьма глючен. Я бы на вашем месте сменил бы хостера, ибо он не заботится о безопасности сайтов своих клиентов. Кстати, посмотрите на сайте разработчика шаблона требования к этому шаблону: сейчас многие стали указывать и версию php в т.ч., часто встречаю в мин.требованиях php5.4, на которой J2.5 не работает уже

*

Оффлайн Kromoll

Re: Проблема при установки шаблона
« Ответ #10 : 02.04.2015, 13:23:02 »
В общих настройках на вкладке "система" включите отладку системы и смотрите, что во фронте выводится. И да: php5.3.13 (именно этот релиз) весьма глючен. Я бы на вашем месте сменил бы хостера, ибо он не заботится о безопасности сайтов своих клиентов. Кстати, посмотрите на сайте разработчика шаблона требования к этому шаблону: сейчас многие стали указывать и версию php в т.ч., часто встречаю в мин.требованиях php5.4, на которой J2.5 не работает уже

отладку включил, ничего не пишет.
я пытался на денвере запустить, может попробовать через реального хостера установить?

*

Оффлайн AlekVolsk

Re: Проблема при установки шаблона
« Ответ #11 : 02.04.2015, 13:28:53 »
Вы так и не ответили: плагин helix хотя бы включен? Ошибка в шаблоне именно на его вызов ругается.

*

Оффлайн Kromoll

Re: Проблема при установки шаблона
« Ответ #12 : 02.04.2015, 13:55:15 »
Вы так и не ответили: плагин helix хотя бы включен? Ошибка в шаблоне именно на его вызов ругается.
да, плагин успешно устанавливается

*

Оффлайн Kromoll

Re: Проблема при установки шаблона
« Ответ #13 : 03.04.2015, 06:27:35 »
  :( беда, то же самое на нормальном хостинге, на нем php 5.5.35

это получается плагин корявый ?
не могут же они продавать такой полуфабрикат....?
ааааааааааа

*

Оффлайн Kromoll

Re: Проблема при установки шаблона
« Ответ #14 : 03.04.2015, 06:52:38 »
попробовал поставить через J 3, такая же фигня

*

Оффлайн AlekVolsk

Re: Проблема при установки шаблона
« Ответ #15 : 03.04.2015, 09:29:58 »
Тогда однозначно в ТП разработчика шаблона.

*

Оффлайн Kromoll

Re: Проблема при установки шаблона
« Ответ #16 : 03.04.2015, 10:17:50 »
Может кто нибудь понять, что им в фильтре писать нужно, я уже забадался, все перепробовал.
на любые запросы дает один и тот же ответ

http://joomlaman.com/ticket-system/view-knowledgebase/1-installing-tips-and-solutions.html


*

Оффлайн Kromoll

Re: Проблема при установки шаблона
« Ответ #18 : 03.04.2015, 11:53:06 »
http://joomlaman.com/contact-us.html

туда им уже написал, ответили, что бы через тикет систему проблему описал, а как это сделать?
так же не разобрались?

*

Оффлайн Kromoll

Re: Проблема при установки шаблона
« Ответ #19 : 04.04.2015, 07:12:54 »
извиняюсь перед AlekVolsk за потраченное на меня время.
Я думал, что при успешной установки плагина он автоматически должен работать, а его нужно было еще и  включить.
включил, все заработало

Спасибо.